<p>You can use a picture instead of the icon.</p>

<div class="rui-list-item rui-list-item--has-sub-caption">
  <div class="rui-list-item__content">
    <img src="https://picsum.photos/50" alt="image">

    <a href="#" class="rui-list-item__title" role="button">
      <span>My item</span>
    </a>
  </div>
</div>
